com.sun.java.xml.ns.javaee

## Class ResourceRefType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.ResourceRefType

-     public class ResourceRefType
      extends Object

  [ The resource-refType contains a declaration of a Deployment Component's reference to an external resource. It consists of an optional description, the resource manager connection factory reference name, an optional indication of the resource manager connection factory type expected by the Deployment Component code, an optional type of authentication (Application or Container), and an optional specification of the shareability of connections obtained from the resource (Shareable or Unshareable). It also includes optional elements to define injection of the named resource into fields or JavaBeans properties. The connection factory type must be supplied unless an injection target is specified, in which case the type of the target is used. If both are specified, the type must be assignment compatible with the type of the injection target. Example: jdbc/EmployeeAppDB javax.sql.DataSource Container Shareable

  Java-Klasse für resource-refType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="resource-refType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="description" type="{http://java.sun.com/xml/ns/javaee}descriptionType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="res-ref-name" type="{http://java.sun.com/xml/ns/javaee}jndi-nameType"/>
               <element name="res-type" type="{http://java.sun.com/xml/ns/javaee}fully-qualified-classType" minOccurs="0"/>
               <element name="res-auth" type="{http://java.sun.com/xml/ns/javaee}res-authType" minOccurs="0"/>
               <element name="res-sharing-scope" type="{http://java.sun.com/xml/ns/javaee}res-sharing-scopeType" minOccurs="0"/>
               <group ref="{http://java.sun.com/xml/ns/javaee}resourceGroup"/>
             </sequence>
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<DescriptionType>` | `description`
    `protected String` | `id`
    `protected List<InjectionTargetType>` | `injectionTarget`
    `protected XsdStringType` | `lookupName`
    `protected XsdStringType` | `mappedName`
    `protected ResAuthType` | `resAuth`
    `protected JndiNameType` | `resRefName`
    `protected ResSharingScopeType` | `resSharingScope`
    `protected FullyQualifiedClassType` | `resType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceRefType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<DescriptionType>` | `getDescription()` Gets the value of the description property.
    `String` | `getId()` Ruft den Wert der id-Eigenschaft ab.
    `List<InjectionTargetType>` | `getInjectionTarget()` Gets the value of the injectionTarget property.
    `XsdStringType` | `getLookupName()` Ruft den Wert der lookupName-Eigenschaft ab.
    `XsdStringType` | `getMappedName()` Ruft den Wert der mappedName-Eigenschaft ab.
    `ResAuthType` | `getResAuth()` Ruft den Wert der resAuth-Eigenschaft ab.
    `JndiNameType` | `getResRefName()` Ruft den Wert der resRefName-Eigenschaft ab.
    `ResSharingScopeType` | `getResSharingScope()` Ruft den Wert der resSharingScope-Eigenschaft ab.
    `FullyQualifiedClassType` | `getResType()` Ruft den Wert der resType-Eigenschaft ab.
    `void` | `setId(String value)` Legt den Wert der id-Eigenschaft fest.
    `void` | `setLookupName(XsdStringType value)` Legt den Wert der lookupName-Eigenschaft fest.
    `void` | `setMappedName(XsdStringType value)` Legt den Wert der mappedName-Eigenschaft fest.
    `void` | `setResAuth(ResAuthType value)` Legt den Wert der resAuth-Eigenschaft fest.
    `void` | `setResRefName(JndiNameType value)` Legt den Wert der resRefName-Eigenschaft fest.
    `void` | `setResSharingScope(ResSharingScopeType value)` Legt den Wert der resSharingScope-Eigenschaft fest.
    `void` | `setResType(FullyQualifiedClassType value)` Legt den Wert der resType-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### description

          protected List<DescriptionType> description

    - #### resRefName

          protected JndiNameType resRefName

    - #### resType

          protected FullyQualifiedClassType resType

    - #### resAuth

          protected ResAuthType resAuth

    - #### resSharingScope

          protected ResSharingScopeType resSharingScope

    - #### mappedName

          protected XsdStringType mappedName

    - #### injectionTarget

          protected List<InjectionTargetType> injectionTarget

    - #### lookupName

          protected XsdStringType lookupName

    - #### id

          protected String id

  - ### Constructor Detail

    - #### ResourceRefType

          public ResourceRefType()

  - ### Method Detail

    - #### getDescription

          public List<DescriptionType> getDescription()

      Gets the value of the description property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the description property.

      For example, to add a new item, do as follows:

              getDescription().add(newItem);

      Objects of the following type(s) are allowed in the list `DescriptionType`

    - #### getResRefName

          public JndiNameType getResRefName()

      Ruft den Wert der resRefName-Eigenschaft ab.
      Returns:
        possible object is `JndiNameType`

    - #### setResRefName

          public void setResRefName(JndiNameType value)

      Legt den Wert der resRefName-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `JndiNameType`

    - #### getResType

          public FullyQualifiedClassType getResType()

      Ruft den Wert der resType-Eigenschaft ab.
      Returns:
        possible object is `FullyQualifiedClassType`

    - #### setResType

          public void setResType(FullyQualifiedClassType value)

      Legt den Wert der resType-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `FullyQualifiedClassType`

    - #### getResAuth

          public ResAuthType getResAuth()

      Ruft den Wert der resAuth-Eigenschaft ab.
      Returns:
        possible object is `ResAuthType`

    - #### setResAuth

          public void setResAuth(ResAuthType value)

      Legt den Wert der resAuth-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `ResAuthType`

    - #### getResSharingScope

          public ResSharingScopeType getResSharingScope()

      Ruft den Wert der resSharingScope-Eigenschaft ab.
      Returns:
        possible object is `ResSharingScopeType`

    - #### setResSharingScope

          public void setResSharingScope(ResSharingScopeType value)

      Legt den Wert der resSharingScope-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `ResSharingScopeType`

    - #### getMappedName

          public XsdStringType getMappedName()

      Ruft den Wert der mappedName-Eigenschaft ab.
      Returns:
        possible object is `XsdStringType`

    - #### setMappedName

          public void setMappedName(XsdStringType value)

      Legt den Wert der mappedName-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `XsdStringType`

    - #### getInjectionTarget

          public List<InjectionTargetType> getInjectionTarget()

      Gets the value of the injectionTarget property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the injectionTarget property.

      For example, to add a new item, do as follows:

              getInjectionTarget().add(newItem);

      Objects of the following type(s) are allowed in the list `InjectionTargetType`

    - #### getLookupName

          public XsdStringType getLookupName()

      Ruft den Wert der lookupName-Eigenschaft ab.
      Returns:
        possible object is `XsdStringType`

    - #### setLookupName

          public void setLookupName(XsdStringType value)

      Legt den Wert der lookupName-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `XsdStringType`

    - #### getId

          public String getId()

      Ruft den Wert der id-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Legt den Wert der id-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.